# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


%define section free

Name:           jal
Version:        20031117
Release:        4%{?dist}
Epoch:          0
Summary:        A partial STL port by the C++ Standard Template Library authors
License:        X11-like
Source0:	http://vigna.dsi.unimi.it/jal/jal-20031117-src.tar.gz
URL:            http://vigna.dsi.unimi.it/jal/
Group:          Development/Libraries/Java
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:	jpackage-utils >= 0:1.7.3
BuildRequires:	java-devel >= 0:1.5.0
BuildRequires:	ant >= 0:1.6.5
BuildRequires:	/bin/bash, /usr/bin/perl
BuildRequires:	/usr/bin/perl
Requires:	java >= 0:1.5.0

%description 
A partial STL port by the C++ Standard Template Library authors.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q

%build
./instantiate -n byte bytes
./instantiate -n short shorts
./instantiate -n char chars
./instantiate -n int ints
./instantiate -n long longs
./instantiate -n float floats
./instantiate -n double doubles
./instantiate Object objects
./instantiate String strings
mkdir -p src/jal
mv bytes shorts chars ints longs floats doubles objects strings src/jal
ant \
  -Dversion=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java \
  jar javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc README
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Fri May 08 2009 Ralph Apel <r.apel at r-apel.de> - 20031117.4.jpp5
- First JPP-5 release
* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 20031117.3jpp
- Rebuild with ant-1.6.2
* Mon Nov 17 2003 Sebastiano Vigna <vigna@acm.org> 20031117
- Fixed empty jar file
* Mon Nov 17 2003 Sebastiano Vigna <vigna@acm.org> 20031117
- First JPackage version
